## kate 20.08.2

=== debian/changelog ===
kate (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:37 +0100

kate (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:43 +0100

kate (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:56:16 +0200

kate (4:20.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - properly start the ctags process (Closes: #959957)
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jun 2020 21:31:35 +0200

kate (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5syntaxhighlighting-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - switch from dh_install to dh_missing for --fail-missing
  * Update install files.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Use https for the Homepage.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Apr 2020 13:54:01 +0200
