=== debian/changelog ===
kate (4:20.12.2-1) unstable; urgency=medium

  * New upstream release (20.12.2): only translation updates.
  * Update uploaders:
    - Remove Modestas and Max from uploaders, thanks for your work.
    - Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 12 Feb 2021 19:49:39 +0900

kate (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Dec 2020 00:25:10 +0900

kate (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * Use more concise URL for upstream Bug-Database metadata.
  * New upstream release (20.08.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 11:24:55 +0100

kate (4:20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Drop overrides for postinst-must-call-ldconfig removed from lintian.
  * Update the build dependencies according to the upstream build system:
    - add kuserfeedback-dev
  * Review copyright information.
  * Remove l10n migration rules, not required anymore after 2 stable releases.
  * Remove older breaks / replaces against KDE4 packages.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 15:15:41 +0100
