=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.40.0~),
                gettext,
                kinit-dev (>= 5.6.0~),
+               kuserfeedback-dev,
                libkf5activities-dev (>= 5.40.0~),
                libkf5config-dev (>= 5.40.0~),
                libkf5crash-dev (>= 5.40.0~),
                libkf5dbusaddons-dev (>= 5.40.0~),
-               libkf5doctools-dev (>= 5.10.0~),
+               libkf5doctools-dev (>= 5.40.0~),
                libkf5guiaddons-dev (>= 5.40.0~),
                libkf5i18n-dev (>= 5.40.0~),
                libkf5iconthemes-dev (>= 5.40.0~),
@@ -33,8 +33,8 @@
                libkf5xmlgui-dev (>= 5.40.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.10.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
@@ -50,9 +50,15 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: sonnet-plugins
-Suggests: khelpcenter, konsole-kpart, git, subversion, mercurial, darcs, exuberant-ctags
+Suggests: darcs,
+          exuberant-ctags,
+          git,
+          khelpcenter,
+          konsole-kpart,
+          mercurial,
+          subversion
 Description: powerful text editor
  Kate is a powerful text editor that can open multiple files simultaneously.
  .
@@ -71,8 +77,8 @@
 Package: kate5-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
-Breaks: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Replaces: kate (<< 4:17.08.3-3~)
+Breaks: kate (<< 4:17.08.3-3~)
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor
@@ -81,8 +87,8 @@
 Section: editors
 Architecture: any
 Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
-Replaces: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
+Breaks: kate5-data (<< 4:17.08.3-3~)
+Replaces: kate5-data (<< 4:17.08.3-3~)
 Description: simple text editor
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax
