=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5xmlgui-dev (>= 5.40.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.10.0~)
+               qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
