## kate 21.08.1

=== debian/changelog ===
kate (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 15:05:37 +0900

kate (4:21.08.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Fix list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 20 Aug 2021 16:16:36 +0200

kate (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:32:01 +0900

kate (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:07:38 +0900

kate (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:27:40 +0900

kate (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 05:52:33 +0900

kate (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update Maintainer entry - drop Kubuntu
  * Update dependencies from CMakeList.txt

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 10:03:00 +0900
