## kate 21.08.2

=== debian/changelog ===
kate (4:21.08.2-1deepin0) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:50:36 +0800

kate (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:53:27 +0900
